Package org.flowable.dmn.model

# Class DecisionTable

java.lang.Object
org.flowable.dmn.model.DmnElement
org.flowable.dmn.model.Expression
org.flowable.dmn.model.DecisionTable

public class DecisionTable extends Expression

Author:
  Yvo Swillens

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected BuiltinAggregator`
  `aggregation`
  `protected HitPolicy`
  `hitPolicy`
  `protected List<InputClause>`
  `inputs`
  `protected String`
  `outputLabel`
  `protected List<OutputClause>`
  `outputs`
  `protected DecisionTableOrientation`
  `preferredOrientation`
  `protected List<DecisionRule>`
  `rules`

  ### Fields inherited from class org.flowable.dmn.model.Expression

  `typeRef`

  ### Fields inherited from class org.flowable.dmn.model.DmnElement

  `attributes, description, extensionElements, id, label`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DecisionTable()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addInput(InputClause input)`
  `void`
  `addOutput(OutputClause output)`
  `void`
  `addRule(DecisionRule rule)`
  `BuiltinAggregator`
  `getAggregation()`
  `HitPolicy`
  `getHitPolicy()`
  `List<InputClause>`
  `getInputs()`
  `String`
  `getOutputLabel()`
  `List<OutputClause>`
  `getOutputs()`
  `DecisionTableOrientation`
  `getPreferredOrientation()`
  `List<DecisionRule>`
  `getRules()`
  `void`
  `setAggregation(BuiltinAggregator aggregation)`
  `void`
  `setHitPolicy(HitPolicy hitPolicy)`
  `void`
  `setOutputLabel(String outputLabel)`
  `void`
  `setPreferredOrientation(DecisionTableOrientation preferredOrientation)`

  ### Methods inherited from class org.flowable.dmn.model.Expression

  `getTypeRef, setTypeRef`

  ### Methods inherited from class org.flowable.dmn.model.DmnElement

  `addAttribute, addExtensionElement, getAttributes, getAttributeValue, getDescription, getExtensionElements, getId, getLabel, setAttributes, setDescription, setExtensionElements, setId, setLabel, setValues`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### inputs

    protected List<InputClause> inputs

  - ### outputs

    protected List<OutputClause> outputs

  - ### rules

    protected List<DecisionRule> rules

  - ### hitPolicy

    protected HitPolicy hitPolicy

  - ### aggregation

    protected BuiltinAggregator aggregation

  - ### preferredOrientation

    protected DecisionTableOrientation preferredOrientation

  - ### outputLabel

    protected String outputLabel

- ## Constructor Details

  - ### DecisionTable

    public DecisionTable()

- ## Method Details

  - ### getInputs

    public List<InputClause> getInputs()

  - ### addInput

    public void addInput(InputClause input)

  - ### getOutputs

    public List<OutputClause> getOutputs()

  - ### addOutput

    public void addOutput(OutputClause output)

  - ### getRules

    public List<DecisionRule> getRules()

  - ### addRule

    public void addRule(DecisionRule rule)

  - ### getHitPolicy

    public HitPolicy getHitPolicy()

  - ### setHitPolicy

    public void setHitPolicy(HitPolicy hitPolicy)

  - ### getAggregation

    public BuiltinAggregator getAggregation()

  - ### setAggregation

    public void setAggregation(BuiltinAggregator aggregation)

  - ### getPreferredOrientation

    public DecisionTableOrientation getPreferredOrientation()

  - ### setPreferredOrientation

    public void setPreferredOrientation(DecisionTableOrientation preferredOrientation)

  - ### getOutputLabel

    public String getOutputLabel()

  - ### setOutputLabel

    public void setOutputLabel(String outputLabel)